﻿using System;
using WindowsGame.Library.Data;
using WindowsGame.Library.IoC;
using WindowsGame.Library.Logger;

#if WINDOWS
using WindowsGame.Logger;
#endif

namespace WindowsGame.Static
{
	public static class Registration
	{
		public static void Initialize()
		{
			IoCContainer.Initialize<IFileProxy, FileProxy>();
			IoCContainer.Initialize<IFileManager, FileManager>();

#if WINDOWS_PHONE
			IoCContainer.Initialize<IGameLogger, TestLogger>();
#elif WINDOWS
			IoCContainer.Initialize<IGameLogger, WorkLogger>();
#elif XBOX
			IoCContainer.Initialize<IGameLogger, TestLogger>();
#else
			throw new ArgumentOutOfRangeException("Environment");
#endif
		}
	}
}